Bug 1479544 - [rfe] additional headers to kernel-devel [NEEDINFO]
[rfe] additional headers to kernel-devel
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 14:58 EDT by Jiri Kastner
Modified: 2018-04-06 14:57 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (jkastner)


Attachments (Terms of Use)

  None (edit)
Description Jiri Kastner 2017-08-08 14:58:57 EDT
Description of problem:
while playing with lttng and babeltrace, i got following disabled probes:

/tmp/tmp.jkTprIdXpQ/lttng-modules-2.10.0/probes/Kbuild:41: File ./arch/x86/kvm/lapic.h not found. Probe "kvm" x86-specific is disabled. Use full kernel source tree to enable it.
/tmp/tmp.jkTprIdXpQ/lttng-modules-2.10.0/probes/Kbuild:166: Files ./fs/btrfs/*.h not found. Probe "btrfs" is disabled. Use full kernel source tree to enable it.
/tmp/tmp.jkTprIdXpQ/lttng-modules-2.10.0/probes/Kbuild:182: Files ./fs/ext4/*.h not found. Probe "ext4" is disabled. Use full kernel source tree to enable it.
/tmp/tmp.jkTprIdXpQ/lttng-modules-2.10.0/probes/Kbuild:215: File ./drivers/base/regmap/trace.h not found. Probe "regmap" is disabled. Need Linux 4.1+ kernel source tree to enable it.
/tmp/tmp.jkTprIdXpQ/lttng-modules-2.10.0/probes/Kbuild:265: Files ./kernel/trace/trace.h not found. Probe "ftrace" is disabled. Use full kernel source tree to enable it.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. dnf install kernel-devel
2. follow lttng-modules compiling giude
3. check output

Actual results:
kvm, btrfs, ext4, regmap and ftrace probes are disabled

Expected results:
all probes built

Additional info:
Comment 1 Ricardo Biehl Pasquali 2017-09-18 16:17:05 EDT
To enable ftrace probe, just put trace.h and trace_entries.h into /usr/src/kernels/$(uname -r)/kernel/trace/:

# wget -O /usr/src/kernels/4.12.13-200.fc25.x86_64/kernel/trace/trace.h https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/plain/kernel/trace/trace.h?h=v4.12

# wget -O /usr/src/kernels/4.12.13-200.fc25.x86_64/kernel/trace/trace_entries.h https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/plain/kernel/trace/trace_entries.h?h=v4.12

I'm not an kernel expert so I can't solve the problem as a whole. Sorry.

Cheers!

Note You need to log in before you can comment on or make changes to this bug.